Bug 170127 - [PATCH] devel/py-mock: Fix deinstall when installed when setuptools is installed
Summary: [PATCH] devel/py-mock: Fix deinstall when installed when setuptools is installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 10:30 UTC by koobs
Modified: 2012-09-11 21:00 UTC (History)
1 user (show)

See Also:


Attachments
py27-mock-0.8.0.patch (689 bytes, patch)
2012-07-25 10:30 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-07-25 10:30:11 UTC
Installs using distutils, but doesnt patch out setuptools imports from
setup.py. If setuptools is installed on the system, the port is installed 
as a compressed egg (setuptools) and fails to find pkg-plist files on deinstall.

- Patch setuptools bits out of setup.py to compensate.

==[QA]==

Redports build clean: https://redports.org/buildarchive/20120724045217-41546/

Added file(s):
- files/patch-setup.py

Port maintainer (jessekempf@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-07-25 10:30:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-07-25 10:30:26 UTC
Maintainer of devel/py-mock,

Please note that PR ports/170127 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170127

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-07-25 10:30:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-08-13 12:43:44 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2012-09-11 20:51:15 UTC
Author: rm
Date: Tue Sep 11 19:51:00 2012
New Revision: 304119
URL: http://svn.freebsd.org/changeset/ports/304119

Log:
  - switch to setuptools
  - bump PORTREVISION because of dependency change
  
  while here:
  - strip Makefile header
  - add license (BSD)
  - move pkg-plist contents to PLIST_FILES
  - mark it python 3 ready
  - tab -> space in pkg-descr:WWW
  
  PR:		170127
  Reported by:	Kubilay Kocak <koobs.freebsd at gmail dot com>
  Approved by:	maintainer timeout (>1 month)

Deleted:
  head/devel/py-mock/pkg-plist
Modified:
  head/devel/py-mock/Makefile
  head/devel/py-mock/pkg-descr

Modified: head/devel/py-mock/Makefile
==============================================================================
--- head/devel/py-mock/Makefile	Tue Sep 11 19:37:28 2012	(r304118)
+++ head/devel/py-mock/Makefile	Tue Sep 11 19:51:00 2012	(r304119)
@@ -1,11 +1,8 @@
-# New ports collection makefile for: mock
-# Date created: 7 Jul 2010
-# Whom:			jessekempf@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	mock
 PORTVERSION=	0.8.0
+PORTREVISION=	1
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -13,7 +10,12 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	jessekempf@gmail.com
 COMMENT=	Mock unit tests for Python
 
+LICENSE=	BSD
+
+PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+
+# Python3 ready
 USE_PYTHON=	yes
-USE_PYDISTUTILS=	yes
+USE_PYDISTUTILS=	easy_install
 
 .include <bsd.port.mk>

Modified: head/devel/py-mock/pkg-descr
==============================================================================
--- head/devel/py-mock/pkg-descr	Tue Sep 11 19:37:28 2012	(r304118)
+++ head/devel/py-mock/pkg-descr	Tue Sep 11 19:51:00 2012	(r304119)
@@ -6,4 +6,4 @@ After performing an action, you can make
 attributes were used and arguments they were called with. You can also specify
 return values and set needed attributes in the normal way.
 
-WWW:	http://pypi.python.org/pypi/mock
+WWW: http://pypi.python.org/pypi/mock
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-09-11 20:52:50 UTC
State Changed
From-To: feedback->closed

Hi Kubilay, I decided to switch to setuptools instead because that was 
the original author's intention and because it let us build this port 
successfully both with python 2.x and 3.x. Thank you.